/*
  Flap-me board, random activate relay pins 2 to 12 when pushbutton is pressed
*/

// constants won't change. They're used here to set pin numbers (check which pin numbers are in your board):
const int buttonPin = PD4;     	// the number of the pushbutton pin 6
const int output1 =  PD3; 		// output pin #2
const int output2 =  PD5; 		// output pin #3
const int output3 =  PD6; 		// output pin #4
const int output4 =  PD7; 		// output pin #5
const int output5 =  PB0; 		// output pin #7
const int output6 =  PB1; 		// output pin #8
const int output7 =  PB2; 		// output pin #9
const int output8 =  PC0; 		// output pin #10
const int output9 =  PC1; 		// output pin #11
const int output10 =  PC2; 		// output pin #12

// variables will change:
int buttonState = LOW;         // variable for reading the pushbutton status

void setup() {
  // initialize the relay pins as an output:
  pinMode(output1, OUTPUT);
  pinMode(output2, OUTPUT);
  pinMode(output3, OUTPUT);
  pinMode(output4, OUTPUT);
  pinMode(output5, OUTPUT);
  pinMode(output6, OUTPUT);
  pinMode(output7, OUTPUT);
  pinMode(output8, OUTPUT);
  pinMode(output9, OUTPUT);
  pinMode(output10, OUTPUT);
  // initialize the pushbutton pin as an input:
  pinMode(buttonPin, INPUT);
}

void loop() {
  buttonState = digitalRead(buttonPin);	// read the state of the pushbutton value:
  if (buttonState == HIGH) {			// if the pushbutton is pressed:
	digitalWrite(random(2, 13), HIGH);	// turn on one random relay pin
    delay (random (1, 100)); 			// wait a random time
    digitalWrite(random(2, 13), LOW);	// turn off one random relay pin
    delay (random (1, 100));			// wait a random time
  }
  else
  {										// if the pushbutton is not pressed.
										// turn all relay pins off:
    digitalWrite(output1, LOW);
    digitalWrite(output2, LOW);
    digitalWrite(output3, LOW);
    digitalWrite(output4, LOW);
    digitalWrite(output5, LOW);
    digitalWrite(output6, LOW);
    digitalWrite(output7, LOW);
    digitalWrite(output8, LOW);
    digitalWrite(output9, LOW);
    digitalWrite(output10, LOW);
  }
}
